Show / Hide Table of Contents

# Class StaticTable

##### Inheritance

Object
StaticTable

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public static class StaticTable

### Properties

#### Length

The number of header fields in the static table.

##### Declaration

    public static int Length { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The length.

### Methods

#### Get(Int32)

Return the http header field at the given index value.

##### Declaration

    public static HttpHeader Get(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | index | Index.

##### Returns

Type | Description
--- | ---
HttpHeader | The header field.

#### GetIndex(String)

Returns the lowest index value for the given header field name in the static table. Returns -1 if the header field name is not in the static table.

##### Declaration

    public static int GetIndex(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | Name.

##### Returns

Type | Description
--- | ---
Int32 | The index.

#### GetIndex(String, String)

Returns the index value for the given header field in the static table. Returns -1 if the header field is not in the static table.

##### Declaration

    public static int GetIndex(string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | Name.
String | value | Value.

##### Returns

Type | Description
--- | ---
Int32 | The index.